<template>
  <div class="grid-container">
    <div v-for="(isSelected, title) in selections[component]" :key="title" class="grid-item">
      <input type="checkbox" :checked="isSelected" />
      {{ title }}
    </div>
  </div>
</template>

<script setup>
import { defineProps } from "vue";
const { component } = defineProps(['component']);

const selections = {
  "Mediawiki vanilla":
  { 
    "Wikilambda extension": true,
    "Flow extension": false,
    "Vector Skin": true,
    "Wikibase extension": true,
    "MobileFrontend extension": true,
    "Seed users": true,
    "Math Extension": true,
    "PageImages extension": false,
    "Seed templates": true,
    "Cite extension": true,
    "Popups extension": true,
    "Seed long edit histories": true,
    "Visual editor extension": true,
    "ShortURL extension": true,
    "Seed images": true,
    "Template data extension": true,
    "Seed articles": true,
    "Echo extension": true,
    "Enable IP Masking": true
  },
  "Mariadb":
  { 
    "Maria this": true, 
    "Maria that": false, 
  },
  "Function orchestrator":
  { 
    "Function this": true, 
    "Function that": false, 
  },
};

</script>

<style scoped>
.grid-container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  gap: 0.3em;
  margin-top: 0.6em;
}

.grid-item {
  display: flex;
  align-items: center;
  gap: 10px;
  white-space: nowrap;
}
</style>

